Bug 802865 - Review Request: perl-Perl-Destruct-Level - Allows you to change perl's internal destruction level
Review Request: perl-Perl-Destruct-Level - Allows you to change perl's intern...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 803057
  Show dependency treegraph
 
Reported: 2012-03-13 12:39 EDT by Paul Howarth
Modified: 2012-04-16 14:23 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Perl-Destruct-Level-0.02-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-16 14:23:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
iarnell: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2012-03-13 12:39:28 EDT
Spec URL:
http://subversion.city-fan.org/repos/cfo-repo/perl-Perl-Destruct-Level/branches/fedora/perl-Perl-Destruct-Level.spec

SRPM URL:
http://www.city-fan.org/~paul/extras/perl-Perl-Destruct-Level/perl-Perl-Destruct-Level-0.02-2.fc18.src.rpm

Description:
This module allows you to change perl's internal destruction level. The
default value of the destruct level is 0; it means that perl won't bother
destroying all of its internal data structures and lets the OS do the cleanup
for it at exit.

For perls built with debugging support (-DDEBUGGING), an environment variable
PERL_DESTRUCT_LEVEL allows you to control the destruction level. This module
enables you to modify it on non-debugging perls too.

Note that some embedded environments might extend the meaning of the
destruction level for their own purposes: mod_perl does that, for example.
Comment 1 Iain Arnell 2012-03-30 11:22:55 EDT
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=3947823
Comment 2 Iain Arnell 2012-03-30 11:31:29 EDT
APPROVED.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3947823

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
7b3845ecb47a70b03b4487639df98969f243efc8 Perl-Destruct-Level-0.02.tar.gz
7b3845ecb47a70b03b4487639df98969f243efc8 Perl-Destruct-Level-0.02.tar.gz.srpm

Final provides / requires are sane:

======> perl-Perl-Destruct-Level-0.02-2.fc18.src.rpm <======
====> rpmlint
perl-Perl-Destruct-Level.src: W: spelling-error %description -l en_US perls -> Perls, peels, perks
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
====> spelling
perl-Perl-Destruct-Level.src: W: spelling-error %description -l en_US perls -> Perls, peels, perks
====> provides
====> requires
perl(ExtUtils::MakeMaker)  
perl(Test::More)  
perl(XSLoader)  
====> obsoletes
====> conflicts

======> perl-Perl-Destruct-Level-0.02-2.fc18.x86_64.rpm <======
====> rpmlint
perl-Perl-Destruct-Level.x86_64: W: spelling-error %description -l en_US perls -> Perls, peels, perks
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
====> spelling
perl-Perl-Destruct-Level.x86_64: W: spelling-error %description -l en_US perls -> Perls, peels, perks
====> provides
perl(Perl::Destruct::Level) = 0.02
perl-Perl-Destruct-Level = 0.02-2.fc18
perl-Perl-Destruct-Level(x86-64) = 0.02-2.fc18
====> requires
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
perl(:MODULE_COMPAT_5.14.2)  
perl(strict)  
perl(warnings)  
perl(XSLoader)  
rtld(GNU_HASH)  
====> obsoletes
====> conflicts

======> perl-Perl-Destruct-Level-debuginfo-0.02-2.fc18.x86_64.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
perl-Perl-Destruct-Level-debuginfo = 0.02-2.fc18
perl-Perl-Destruct-Level-debuginfo(x86-64) = 0.02-2.fc18
====> requires
====> obsoletes
====> conflicts


====> mock install
INFO: mock.py version 1.1.21 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
Mock Version: 1.1.21
INFO: Mock Version: 1.1.21
State Changed: lock buildroot
INFO: installing package(s): perl-Perl-Destruct-Level-0.02-2.fc18.x86_64.rpm perl-Perl-Destruct-Level-debuginfo-0.02-2.fc18.x86_64.rpm
INFO: 
================================================================================
 Package
      Arch   Version      Repository                                       Size
================================================================================
Installing:
 perl-Perl-Destruct-Level
      x86_64 0.02-2.fc18  /perl-Perl-Destruct-Level-0.02-2.fc18.x86_64     14 k
 perl-Perl-Destruct-Level-debuginfo
      x86_64 0.02-2.fc18  /perl-Perl-Destruct-Level-debuginfo-0.02-2.fc18.x86_64
                                                                           54 k

Transaction Summary
================================================================================
Install       2 Packages

Total size: 68 k
Installed size: 68 k

Installed:
  perl-Perl-Destruct-Level.x86_64 0:0.02-2.fc18                                 
  perl-Perl-Destruct-Level-debuginfo.x86_64 0:0.02-2.fc18                       


State Changed: unlock buildroot
State Changed: end
Comment 3 Paul Howarth 2012-03-30 12:53:43 EDT
New Package SCM Request
=======================
Package Name: perl-Perl-Destruct-Level
Short Description: Allows you to change perl's internal destruction level
Owners: pghmcfc
Branches: f15 f16 f17 el5 el6
InitialCC:  perl-sig
Comment 4 Gwyn Ciesla 2012-03-30 13:11:10 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-03-30 13:55:52 EDT
perl-Perl-Destruct-Level-0.02-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Perl-Destruct-Level-0.02-2.fc16
Comment 6 Fedora Update System 2012-03-30 13:56:23 EDT
perl-Perl-Destruct-Level-0.02-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Perl-Destruct-Level-0.02-2.fc15
Comment 7 Fedora Update System 2012-03-30 13:56:32 EDT
perl-Perl-Destruct-Level-0.02-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Perl-Destruct-Level-0.02-2.fc17
Comment 8 Fedora Update System 2012-03-30 14:04:35 EDT
perl-Perl-Destruct-Level-0.02-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Perl-Destruct-Level-0.02-2.el5
Comment 9 Fedora Update System 2012-03-30 14:04:45 EDT
perl-Perl-Destruct-Level-0.02-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Perl-Destruct-Level-0.02-2.el6
Comment 10 Fedora Update System 2012-04-07 23:29:00 EDT
perl-Perl-Destruct-Level-0.02-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 11 Fedora Update System 2012-04-07 23:30:13 EDT
perl-Perl-Destruct-Level-0.02-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2012-04-11 22:03:02 EDT
perl-Perl-Destruct-Level-0.02-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2012-04-16 13:55:48 EDT
perl-Perl-Destruct-Level-0.02-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 14 Fedora Update System 2012-04-16 13:57:28 EDT
perl-Perl-Destruct-Level-0.02-2.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.